Subject: Plants with a Purpose (book)

From: Kathy <[email-masked]>
Date: Sun, 28 Apr 96 19:59:59 GMT

I am selling a hardback of Richard Mabey's "Plants with a Purpose"
(1977) which describes in detail the many uses of wild plants in
traditional British life.  From herbalism to weaving, glues to
perfumes, very comprehensive book $15 including surface mail postage. 
-- 
Kathy